Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2199

Summary: "%." in shell script gets expanded to ".".
Product: [Retired] Red Hat Linux Reporter: hjl
Component: rpmAssignee: Jay Turner <jturner>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: hjl, jbj, lp.brais, srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: ftp://ftp.varesearch.com/pub/support/hjl/bugs/rpm/foobar-1.0-1.src.rpm
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-04-20 19:17:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description hjl 1999-04-15 17:07:22 UTC
# rpm --rebuild foobar-1.0-1.src.rpm
# rpm -i /usr/src/redhat/RPMS/i386/foobar-1.0-1.i386.rpm
/var/tmp/rpm-tmp.81638: ${i.$CHAPTER}: bad substitution
execution of script failed

Comment 1 Jeff Johnson 1999-04-20 19:17:59 UTC
A % that introduces non-alphabetic non--special text is now
left untouched. Fixed in CVS, will be fixed in rpm-3.0.1-1.src.rpm.

Comment 2 lp.brais 1999-05-31 21:09:59 UTC
Would you consider issuing an errata for this package?
(mine is rpm-3.0-6.0 shipped with RHL 6.0)

This breaks rpm file generation/installation for some important
packages, like ssh-1.2.27 found at ftp.replay.com (as the example
from the initial bugreport shows).  Thanks!


------- Email Received From  Jeff Johnson <jbj@redhat.com> 05/31/99 17:18 -------